Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-bothapis.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-bothapis.sh	(revision 12168)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-bothapis.sh	(revision 12168)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
+	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-nopetsc.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-nopetsc.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-nopetsc.sh	(revision 12168)
@@ -1,28 +1,15 @@
 #!/bin/sh
 
-#petsc 3.2
-#mpich 1.4
+pythonversion=3.2
 
 ./configure \
-	--prefix=$ISSM_TIER \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
-	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
 	--with-math-lib="/usr/lib/libm.dylib" \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/lib \
 	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
-	--with-numthreads=8 \
-	--with-gsl-dir=$ISSM_TIER/externalpackages/gsl/install
-#	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-#	--with-petsc-arch=$ISSM_ARCH \
-#	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-#	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-#	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ 
-#   --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-python.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-python.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour-python.sh	(revision 12168)
@@ -5,12 +5,12 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-python-dir=$ISSM_TIER/externalpackages/python/install\
-	--with-python-numpy-dir=$ISSM_TIER/externalpackages/python/install/Python.framework/Versions/3.2/lib/python3.2/site-packages/numpy/core/include/numpy\
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/3.2/lib/python3.2/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
@@ -18,12 +18,12 @@
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
 	--with-numthreads=8 \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ 
-	#--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	#--with-boost-dir=$ISSM_TIER/externalpackages/boost/install/ \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-larour.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-larour.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-larour.sh	(revision 12168)
@@ -5,11 +5,11 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
@@ -17,11 +17,11 @@
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
 	--with-numthreads=8 \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ 
-	#--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-mathieu.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-mathieu.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-mathieu.sh	(revision 12168)
@@ -5,19 +5,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/usr/local/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-nicole.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-nicole.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-nicole.sh	(revision 12168)
@@ -5,21 +5,21 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-scotch-dir="$ISSM_TIER/externalpackages/scotch/install" \
-	--with-chaco-dir="$ISSM_TIER/externalpackages/chaco/install" \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
 	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-ogive.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-ogive.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-ogive.sh	(revision 12168)
@@ -9,19 +9,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/usr/local/gfortran/lib/x86_64/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/branches/trunk-jpl-damage/configs/config-macosx64-sophie.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-macosx64-sophie.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-macosx64-sophie.sh	(revision 12168)
@@ -9,19 +9,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/sw/usr/local/lib/x86_64/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/branches/trunk-jpl-damage/configs/config-pleiades-petsc2.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-pleiades-petsc2.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-pleiades-petsc2.sh	(revision 12168)
@@ -2,19 +2,19 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
- --with-serial=no \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
+ --prefix=$ISSM_DIR \
+ --with-modules=no \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
  --with-mpi-include=/nasa/sgi/mpt/1.25/include \
  --with-mpi-lib="-L/nasa/sgi/mpt/1.25/lib/ -lmpi -lpthread -lgfortran" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-mkl-dir=/nasa/intel/mkl/10.0.011/lib/64/ \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-O3 -xS" \
Index: issm/branches/trunk-jpl-damage/configs/config-pleiades.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-pleiades.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-pleiades.sh	(revision 12168)
@@ -2,19 +2,20 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
- --with-serial=no \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
+ --prefix=$ISSM_DIR \
+ --with-modules=no \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
  --with-mpi-include=/nasa/sgi/mpt/1.25/include \
  --with-mpi-lib="-L/nasa/sgi/mpt/1.25/lib/ -lmpi -lpthread -lgfortran" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-mkl-dir=/nasa/intel/mkl/10.0.011/lib/64/ \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-O3 -xS" \
Index: issm/branches/trunk-jpl-damage/configs/config-win32-eric.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-win32-eric.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-win32-eric.sh	(revision 12168)
@@ -4,3 +4,3 @@
 #get configure.sh to pick up the intel compiler 
 
-./configure --prefix=$ISSM_TIER --with-parallel=no --with-vendor=intel-win  --with-matlab-dir=$MATLAB_DIR --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install --with-metis-dir=$ISSM_TIER/externalpackages/metis/install --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  --with-petsc-arch=$ISSM_ARCH  --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/externalpackages/f2cblaslapack/$ISSM_ARCH
+./configure --prefix=$ISSM_DIR --with-parallel=no --with-vendor=intel-win  --with-matlab-dir=$MATLAB_DIR --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install --with-metis-dir=$ISSM_DIR/externalpackages/metis/install --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  --with-petsc-arch=$ISSM_ARCH  --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install/externalpackages/f2cblaslapack/$ISSM_ARCH
Index: issm/branches/trunk-jpl-damage/configs/config-win7-32.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-win7-32.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-win7-32.sh	(revision 12168)
@@ -2,15 +2,15 @@
 
 #Dos style path needed for the windows sdk 7.1 cl compiler: 
-ISSM_TIER_WIN=`cygpath -m "$ISSM_TIER"`
+ISSM_DIR_WIN=`cygpath -m "$ISSM_DIR"`
 
 #get configure.sh to pick up the win7 Visual Studio compiler 
-./configure --prefix=$ISSM_TIER \
+./configure --prefix=$ISSM_DIR \
 	--with-vendor=intel-win7-32  \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir="$ISSM_TIER_WIN/externalpackages/triangle/install" \
-	--with-metis-dir="$ISSM_TIER_WIN/externalpackages/metis/install" \
-	--with-petsc-dir="$ISSM_TIER_WIN/externalpackages/petsc/install" \
+	--with-triangle-dir="$ISSM_DIR_WIN/externalpackages/triangle/install" \
+	--with-metis-dir="$ISSM_DIR_WIN/externalpackages/metis/install" \
+	--with-petsc-dir="$ISSM_DIR_WIN/externalpackages/petsc/install" \
 	--with-petsc-arch=$ISSM_ARCH  \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/lib/  \
-	--with-mpi-lib="$ISSM_TIER_WIN/externalpackages/petsc/install/lib/libpetsc.lib" \
-	--with-mpi-include="$ISSM_TIER_WIN/externalpackages/petsc/install/include/mpiuni" 
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install/lib/  \
+	--with-mpi-lib="$ISSM_DIR_WIN/externalpackages/petsc/install/lib/libpetsc.lib" \
+	--with-mpi-include="$ISSM_DIR_WIN/externalpackages/petsc/install/include/mpiuni" 
Index: issm/branches/trunk-jpl-damage/configs/config-win7-64.sh
===================================================================
--- issm/branches/trunk-jpl-damage/configs/config-win7-64.sh	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configs/config-win7-64.sh	(revision 12168)
@@ -2,15 +2,15 @@
 
 #Dos style path needed for the windows sdk 7.1 cl compiler: 
-ISSM_TIER_WIN=`cygpath -m "$ISSM_TIER"`
+ISSM_DIR_WIN=`cygpath -m "$ISSM_DIR"`
 
 #get configure.sh to pick up the win7 Visual Studio compiler 
-./configure --prefix=$ISSM_TIER \
+./configure --prefix=$ISSM_DIR \
 	--with-vendor=intel-win7-64  \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir="$ISSM_TIER_WIN/externalpackages/triangle/install" \
-	--with-metis-dir="$ISSM_TIER_WIN/externalpackages/metis/install" \
-	--with-petsc-dir="$ISSM_TIER_WIN/externalpackages/petsc/install" \
+	--with-triangle-dir="$ISSM_DIR_WIN/externalpackages/triangle/install" \
+	--with-metis-dir="$ISSM_DIR_WIN/externalpackages/metis/install" \
+	--with-petsc-dir="$ISSM_DIR_WIN/externalpackages/petsc/install" \
 	--with-petsc-arch=$ISSM_ARCH  \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/lib/  \
-	--with-mpi-lib="$ISSM_TIER_WIN/externalpackages/petsc/install/lib/libpetsc.lib" \
-	--with-mpi-include="$ISSM_TIER_WIN/externalpackages/petsc/install/include/mpiuni" 
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install/lib/  \
+	--with-mpi-lib="$ISSM_DIR_WIN/externalpackages/petsc/install/lib/libpetsc.lib" \
+	--with-mpi-include="$ISSM_DIR_WIN/externalpackages/petsc/install/include/mpiuni" 
Index: issm/branches/trunk-jpl-damage/configure.ac
===================================================================
--- issm/branches/trunk-jpl-damage/configure.ac	(revision 12167)
+++ issm/branches/trunk-jpl-damage/configure.ac	(revision 12168)
@@ -2,5 +2,5 @@
 
 #AUTOCONF
-AC_INIT([ISSM],[4.0],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
+AC_INIT([ISSM],[4.1],[issm@jpl.nasa.gov],[issm],[http://issm.jpl.nasa.gov]) #Initializing configure
 AC_CONFIG_AUX_DIR([./aux-config])         #Put config files in aux-config
 AC_CONFIG_MACRO_DIR([m4])                 #m4 macros are located in m4
@@ -36,6 +36,10 @@
 AC_CONFIG_FILES([Makefile
 			src/Makefile
-			src/c/Makefile
-			src/mex/Makefile
+			src/c/Makefile 
+			src/py/Makefile
+			src/py/model/Makefile
+			src/modules/Makefile
+			src/modules/python/Makefile
+			src/modules/matlab/Makefile
 			src/m/Makefile
 			bin/Makefile])
Index: issm/branches/trunk-jpl-damage/cron/configs/linux64_daily
===================================================================
--- issm/branches/trunk-jpl-damage/cron/configs/linux64_daily	(revision 12167)
+++ issm/branches/trunk-jpl-damage/cron/configs/linux64_daily	(revision 12168)
@@ -6,6 +6,5 @@
 
 #ISSM main directory (full paths)
-ISSM_DIR="/path/to/issm"
-ISSM_TIER="/path/to/issm/cron/trunk-jpl"
+ISSM_DIR="/path/to/issm/cron/trunk-jpl"
 
 #ISSM Architecture
@@ -72,5 +71,5 @@
 
 #Mail delivery. If SKIPMAIL="no", the html nightly run report will be
-#sent to the adresses present in $ISSM_TIER/cron/mailinglist.
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
 SKIPMAIL="no"
 
Index: issm/branches/trunk-jpl-damage/cron/configs/linux64_nightly
===================================================================
--- issm/branches/trunk-jpl-damage/cron/configs/linux64_nightly	(revision 12167)
+++ issm/branches/trunk-jpl-damage/cron/configs/linux64_nightly	(revision 12168)
@@ -6,6 +6,5 @@
 
 #ISSM main directory (full paths)
-ISSM_DIR="/path/to/issm"
-ISSM_TIER="/path/to/issm/cron/trunk-jpl"
+ISSM_DIR="/path/to/issm/cron/trunk-jpl"
 
 #ISSM Architecture
@@ -72,5 +71,5 @@
 
 #Mail delivery. If SKIPMAIL="no", the html nightly run report will be
-#sent to the adresses present in $ISSM_TIER/cron/mailinglist.
+#sent to the adresses present in $ISSM_DIR/cron/mailinglist.
 SKIPMAIL="no"
 
